Public Member Functions | Public Attributes | List of all members
libabw::ABWUnorderedListElement Struct Reference

`#include <ABWCollector.h>`

Inheritance diagram for libabw::ABWUnorderedListElement:

## Public Member Functions
| ABWUnorderedListElement ()
| ~ABWUnorderedListElement () override
void | writeOut (librevenge::RVNGPropertyList &propList) const override
ABWListType | getType () const override
Public Member Functions inherited from libabw::ABWListElement
| ABWListElement ()
virtual | ~ABWListElement ()

## Public Attributes
librevenge::RVNGString | m_bulletChar
Public Attributes inherited from libabw::ABWListElement
int | m_listLevel
double | m_minLabelWidth
double | m_spaceBefore
int | m_parentId
int | m_listId
| the list id More...

## Constructor & Destructor Documentation

## ◆ ABWUnorderedListElement()

libabw::ABWUnorderedListElement::ABWUnorderedListElement | ( |  | ) |
| inline

## ◆ ~ABWUnorderedListElement()

libabw::ABWUnorderedListElement::~ABWUnorderedListElement | ( |  | ) |
| inline override

## Member Function Documentation

## ◆ getType()

ABWListType libabw::ABWUnorderedListElement::getType | ( |  | ) | const
| inline override virtual

Implements libabw::ABWListElement.

## ◆ writeOut()

void libabw::ABWUnorderedListElement::writeOut | ( | librevenge::RVNGPropertyList & | propList | ) | const
| override virtual

Reimplemented from libabw::ABWListElement.

## Member Data Documentation

## ◆ m_bulletChar

librevenge::RVNGString libabw::ABWUnorderedListElement::m_bulletChar

The documentation for this struct was generated from the following files:

- ABWCollector.h
- ABWCollector.cpp